Draft SelectPlane/cs: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 1: Line 1:
{{GuiCommand/cs|Name=Draft SelectPlane|Name/cs=Kreslení VýběrRoviny|Workbenches=[[Draft Module/cs|Kreslení]], [[Arch Module/cs|Architektura]]|MenuLocation=Kreslení -> Utility -> Výběr roviny}}
{{GuiCommand|Name=Draft SelectPlane|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft Utilities Select Plane|Shortcut=W P}}


==Popis==
==Popis==
Line 13: Line 13:
# Stiskněte tlačítko {{KEY|[[Image:Draft SelectPlane.png|16px]] [[Draft SelectPlane/cs|VýběrRoviny]]}}. Pokud tlačítko nevypadá takto, podívejte se na tuto [[Basic_modeling_tutorial#DraftPlaneButton|poznámku]].
# Stiskněte tlačítko {{KEY|[[Image:Draft SelectPlane.png|16px]] [[Draft SelectPlane/cs|VýběrRoviny]]}}. Pokud tlačítko nevypadá takto, podívejte se na tuto [[Basic_modeling_tutorial#DraftPlaneButton|poznámku]].


==Volby==
==Options==
* Pro nastavení pracovní roviny na existující plochu: vyberte existující objekt ve 3D pohledu a potom stiskněte tlačítko {{KEY|[[Image:Draft SelectPlane.png|16px]] [[Draft SelectPlane/cs|VýběrRoviny]]}}
* To set the workplane to an existing face: select a face of an existing object in the 3D view, then press the {{KEY|[[Image:Draft SelectPlane.png|16px]] [[Draft SelectPlane|SelectPlane]]}} button
* Stisknutí tlačítka {{KEY|'''POHLED'''}} nastaví pracovní rovinu jako je rovina pohledu, kolmo k osám kamery a procházející počátkem (0,0,0).
* Pressing the {{KEY|'''VIEW'''}} button will set the working plane as the view plane, perpendicular to the camera axis and passing through the (0,0,0) origin point.
* Pressing the {{KEY|'''AUTO'''}} will unset any current working plane. The next 2D operations will be view-dependent.
* Stisknutí tlačítka {{KEY|'''ŽÁDNÁ'''}} zruší nastavení aktuální pracovní roviny. Následující 2D operace budou závislé na pohledu.
* You can also specify an offset value, which will set your working plane at a certain distance from the plane you select.
* Múžete také specifikovat hodnotu odsunutí, což odsune pracovní rovinu o zadanou vzdálenost od vybrané roviny.
* You can hide and show the grid with the shortcut {{KEY|'''G'''}}{{KEY|'''R'''}}


==Skriptování==
==Skriptování==

Revision as of 13:37, 19 May 2015

Draft SelectPlane

Menu location
Draft → Utilities → Select Plane
Workbenches
Draft, Arch
Default shortcut
W P
Introduced in version
-
See also
None

Popis

Modul kreslení má pracovní rovinu, která umožňuje specifikovat uživatelskou rovinu ve 3D, na které se bude realizovat následujíci kreslicí příkaz. Pro definování pracovní roviny existuje několik metod:

  • Z vybrané plochy
  • Z aktuálního pohledu
  • Z předvolby: horní, přední nebo boční
  • Žádná, v tomto případě je pracovní rovina automaticky adaptována podle aktuálního pohledu, kde spouštíte příkaz nebo na ploše, pokud začínáte kreslení na existující ploše.

Použití

  1. Stiskněte tlačítko VýběrRoviny. Pokud tlačítko nevypadá takto, podívejte se na tuto poznámku.

Options

  • To set the workplane to an existing face: select a face of an existing object in the 3D view, then press the SelectPlane button
  • Pressing the VIEW button will set the working plane as the view plane, perpendicular to the camera axis and passing through the (0,0,0) origin point.
  • Pressing the AUTO will unset any current working plane. The next 2D operations will be view-dependent.
  • You can also specify an offset value, which will set your working plane at a certain distance from the plane you select.
  • You can hide and show the grid with the shortcut GR

Skriptování

Objekt pracovní roviny může být snadno vyvořen a manipulován ve skriptech a makrech. Můžete vytvářet vlastní a používat je nezávisle na aktuální pracovní ploše Kreslení.

Příklad:

import WorkingPlane
myPlane = WorkingPlane.plane()

Můžete také přistupovat na aktuální pracovní rovinu Kreslení:

import FreeCAD
draftPlane = FreeCAD.DraftWorkingPlane

To move or rotate the Draft working plane (see the WorkingPlane API page for available methods):

import FreeCAD
from FreeCAD import Vector
FreeCAD.DraftWorkingPlane.alignToPointAndAxis(Vector(0,0,0), Vector(1,1,1).normalize(), 17)

(note: a Draft command must have been issued to make grid adopt changes)

The working plane has a complete scripting API on its own, with convenience functions to position it and convert to/from placements.